Opened 10 years ago

Closed 9 years ago

#605 closed help (fixed)

Fortran compile error

Reported by: danpeake Owned by: um_support
Component: UM Model Keywords:
Cc: Platform:
UM Version: 6.1

Description

Hi, I've tried to run a job on HECToR that used to run a few months ago, but no longer does. The error I get is:

f77 -c -o hint_aw1.o hint_aw1.f
/opt/cray/xt-asyncpe/4.6/bin/f77: ERROR: The PATHSCALE compiler does not support f77. Please use ftn.

How do I do this?

Change History (5)

comment:1 Changed 10 years ago by danpeake

I should add that this happens in the compilation of jobs XFYQA and XFYQB .

comment:2 follow-up: Changed 10 years ago by lois

Hello Dan,

Have you tried removing all the files in your temporary directory

/work/n02/n02/danpeake/tmp

and running this job again. Looking at your output file it looks as though things have got a bit confused and so I am hoping that this cures the problem.

Lois

comment:3 in reply to: ↑ 2 Changed 10 years ago by danpeake

I tried that, and also ran it on phase2b rather than phase 2a just to see if that solved it, and it still doesn't compile. Error is slightly different:

f77 -c -o calc_baseflow.o calc_baseflow.f
/opt/cray/xt-asyncpe/4.7/bin/f77: ERROR: The PATHSCALE compiler does not support f77. Please use ftn.

comment:4 Changed 10 years ago by lois

Try the more draconian option of deleting everything in COMPILE directory

/work/n02/n02/danpeake/xfyqb/xfyqb/Compile

as I still think it looks as though it has got itself confused.

Lois

comment:5 Changed 9 years ago by willie

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.